/* prototypes for functions in turbo.c */
#ifndef _VMS_TURBO_PROTO_
#define _VMS_TURBO_PROTO_
#include <unixio.h>

char *strlwr(char *s);
char *strupr(char *s);
/* the structure in the parameter list causes an error message,
   for now, just bypass type checking */

int findfirst();
int findnext();

int trim_file(char *s);
char *getsymbol(char *s);
char *getsymbol(char *sym);

/* Prototypes for the many, many, many SCR pieces */
/* from VAXSCR.C */
void textattr(void);
int  kbhit(void);
int  abort_key(void);
void delay(int i);
void window(int left,int top, int right, int bottom);
void scr_dots(int i);
void scr_gets(char *x);
void clreol(void);
void clrscr(void);
void cputs(char *line);
void scr_left(int i);
void scr_right(int i);
void gotoxy(int x, int y);
void insline(void);
void delline(void);
void putch(int char_val);
void scr_refresh(void);
int  scr_getch(void);
void scr_init(void);
void screen_save(void);
void screen_restore(void);
void scr_savexy(void);
void scr_restorexy(void);
void scr_end(void);

/* the struct in this causes a compiler warning, so skip it this way
void gettextinfo(struct text_info *r);
*/
void gettextinfo();
void textbackground(int color_num);
void textcolor(int colornum);
void scr_norm(void);
void scr_inv(void);
void scr_grey(void);
int  scr_isblackwhite(void);
void scr_menubg(void);
void scr_menuval(void);
void scr_menuhi(void);
void vax_edt(char *s);

/* prototypes for system stuff needed in VAXINKEY.C */
int SYS$ASSIGN();
int SYS$QIOW();
void LIB$SIGNAL();

/* from VAXINKEY.C */
void tt_inkey(void);



/* from EDT.C */
#ifndef MANIP  /* sure wish this package had just ONE read_command....*/
int  read_command(char *ans, char *ques);
#endif
void fner_clear(void);
int read_input(char *ans,char *ques);

/* from MENU.C */
void do_help2(char *h);

/* from GPRINT.C */
void gprint_do(char *output);

/* from WPRINTF_DO.C */
void wprintf_do(char *s);

#endif /* _VMS_TURBO_PROTO_ */
